package jp.co.gihyo.webdb.vol36.selenium.sample;

import org.openqa.selenium.server.SeleniumServer;

import com.thoughtworks.selenium.DefaultSelenium;
import com.thoughtworks.selenium.SeleneseTestCase;

public class GoogleSearchTest extends SeleneseTestCase {

	@Override
	public void setUp() throws Exception {
		// SeleneseTestCase#setUp() I[o[ChACӂ̃uEUݒ.
		String bw = "*firefox";
//		bw = "*iexplore";
        String url = "http://www.google.co.jp";
        selenium = new DefaultSelenium("localhost", SeleniumServer.DEFAULT_PORT, bw, url);
        selenium.start();
	}

	public void testGoogleSearchTest() throws Throwable {
		selenium.open("/");
		verifyEquals( "Google", selenium.getTitle() );
		selenium.check( "il" );
		selenium.type( "q", "Z]" );
		selenium.click( "btnG" );
		selenium.waitForPageToLoad( "5000" );

		// @ SeleneseTestCase#assertTrue()
		assertTrue( selenium.isTextPresent( "Zp]_" ) );
		assertTrue( selenium.isChecked( "lrt" ) );
		verifyEquals( "Z]", selenium.getValue( "q" ) );
		// A Oۂ̃`FbN\bh
		checkForVerificationErrors();
	}
}
